0 Replies Latest reply on Jan 13, 2014 7:05 AM by Sanjay Phadke

    Remove toolbar2

    Sanjay Phadke

      Hello All

       

       

      I am stuck at place where I want to remove toolbar & again create

      at the time of creation toolbar,  solidworks generates ID

      Crate toolbar works fine but when I want to remove axToolbarID1  becomes 0

       

      how to get unique axToolbarID1 everytime

       

      I wrote following in  SwAddin_ConnectToSW function

       

          lRet2 = axSldWorks.RemoveToolbar2(AXCookie, axToolbarID1)

       

              axToolbarID1 = axSldWorks.AddToolbar4(AXCookie, "P Tools", App.Path & "\SmallToolbar.bmp", App.Path & "\SmallToolbar.bmp", 0, swDocTemplateTypeDRAWING)

       

              bRet = axSldWorks.AddToolbarCommand2(AXCookie, axToolbarID1, 0, "proj", "EnableIfPart", "aa", "aa")

              bRet = axSldWorks.AddToolbarCommand2(AXCookie, axToolbarID1, 1, "sync", "EnableIfPart", "bb", "bb")

       

       

       

      - Sanjay